.small-button {
  height: 32px;
  padding: 5px 10px;
}

.topnav-container {
  height: 100px;
  background: #fafafb;
  border-bottom: 1px solid #e1e1e2;
}

.topnav-inner {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  position: relative;
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  height: 100%;
}

.topnav-logo {
  width: 152px;
  height: 30px;
}

.topnav-link-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 30px;
  height: 40px;
}

@media (max-width: 760px) {
  .topnav-link-container {
    display: none;
  }
}

.topnav-link {
  display: flex;
  align-items: center;
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  font-size: 16px;
  line-height: 24px;
  color: #22262d;
}

.topnav-link-notif-badge {
  background: #ff3f14;
  border-radius: 41px;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 700;
  font-size: 10px;
  line-height: 20px;
  color: #ffffff;
  width: 20px;
  height: 20px;
  text-align: center;
  margin-right: 5px;
}

.topnav-search-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px;
  background: #eceded;
  border-radius: 24px;
  height: 50px;
}

@media (max-width: 1150px) {
  .topnav-search-container {
    display: none;
  }
}

.topnav-search-left {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 0px 12px;
}

.topnav-search-icon {
  width: 24px;
  height: 24px;
  align-self: center;
}

.topnav-search-input {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  overflow: auto;
  text-overflow: ellipsis;
  margin-left: 12px;
  border: none;
  background: none;
  max-width: 120px;
  outline: none;
  align-self: center;
}

.topnav-search-right {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 16px;
  gap: 8px;
  border-left: 1px solid #c5c6c8;
  cursor: pointer;
  overflow: hidden;
}

.topnav-search-select-text {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  font-size: 16px;
  line-height: 24px;
  color: #22262d;
}

.topnav-search-dropdown {
  display: none;
  position: absolute;
  top: 42px;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 300;
  border-radius: 10px;
}

.topnav-search-dropdown a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.topnav-search-dropdown a:hover {
  background-color: #ddd;
}

.search-dropdown-show {
  display: block;
}

.topnav-search-select-icon {
  width: 20px;
  height: 20px;
  align-self: center;
}

.topnav-button-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 16px;
}

@media (max-width: 760px) {
  .topnav-button-container {
    display: none;
  }
}

.topnav-hamburger {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  cursor: pointer;
}

@media (min-width: 761px) {
  .topnav-hamburger {
    display: none;
  }
}

.topnav-hamburger-icon {
  width: 32px;
  height: 32px;
}

.topnav-avatar {
  cursor: pointer;
}

.mobile-menu-backdrop {
  margin: 0;
}

.mobile-menu-container {
  width: 100vw;
  height: 100vh;
  padding: 30px;
}

.mobile-top {
  display: flex;
  justify-content: space-between;
}

.mobile-middle {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0px;
  gap: 16px;
  margin-top: 48px;
}

.mobile-nav-item {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 24px;
}

.mobile-bottom {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0px;
  gap: 16px;
  margin-top: 48px;
}

.dropdown-menu-mobile {
  right: 0;
  top: 195px;
  margin: 15px;
}

.mobile-search-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px;
  background: #eceded;
  border-radius: 32px;
  height: 40px;
}
